// Oleg Petruny proprietary.

#pragma once

#include "CoreMinimal.h"
#include "InteractableModificator.h"

#include "SawInteractableModificator.generated.h"

DECLARE_DYNAMIC_MULTICAST_DELEGATE(FSawInteractableModificatorActivatedDelegate);

UCLASS(ClassGroup = InteractableModificator, meta = (BlueprintSpawnableComponent), Blueprintable, BlueprintType)
class USawInteractableModificator : public UInteractableModificator
{
    GENERATED_BODY()

public:
    USawInteractableModificator(const FObjectInitializer& ObjectInitializer);

    void Bind_Implementation(class UEnhancedInputComponent* input) override;

    UPROPERTY(BlueprintAssignable)
    FSawInteractableModificatorActivatedDelegate OnSaw;
};
